MPI_Wtime(3)

NAME
MPI_Wtime - Returns an elapsed time on the calling processor

SYNOPSIS
#include <mpi.h>
double MPI_Wtime(void)

RETURN VALUE
Time in seconds since an arbitrary time in the past.

NOTES
This is intended to be a high-resolution, elapsed (or wall) clock. See MPI_Wtick to determine the resolution of MPI_Wime
 . If the attribute MPI_WTIME_IS_GLOBAL is defined and true, then the value is synchronized across all processes in MPI_COMM_WORLD
 .

NOTES FOR FORTRAN
This function is declared as DOUBLE PRECISION MPI_WTIME() in Fortran.

SEE ALSO
MPI_Wtick, MPI_Comm_get_attr

MORE INFORMATION
For more information, please see the official MPI Forum web site, which contains the text of both the MPI-1 and MPI-2 standards. These documents contain detailed information about each MPI function (most of which is not duplicated in these man pages). http://www.mpi-forum.org/

ACKNOWLEDGEMENTS
The LAM Team would like the thank the MPICH Team for the handy program to generate man pages ("doctext" from ftp://ftp.mcs.anl.gov/pub/sowing/sowing.tar.gz ), the initial formatting, and some initial text for most of the MPI-1 man pages.

LOCATION
wtime.c